class Admin::PatentTypesController < OrbitMemberController
  before_action :allow_admin_only
  
  def new
    @patent_type = PatentType.new
    @url = admin_patent_types_path(@patent_type)
    render :layout=>false
  end

  def create
    @patent_type = PatentType.new(patent_type_params)
    @patent_type.save
    @patent_types = PatentType.all
    render :partial=>'list', :layout=>false
  end

  def edit
    @patent_type = PatentType.find(params[:id])
    @url = admin_patent_type_path(@patent_type)
    render :layout=>false
  end

  def update
    @patent_type = PatentType.find(params[:id])
    @patent_type.update_attributes(patent_type_params)
    @patent_type.save
    @patent_types = PatentType.all
    render :partial=>'list', :layout=>false
  end

  def destroy
    patent_type = PatentType.find(params[:id])
    patent_type.destroy
    @patent_types = PatentType.all
    render :partial=>'list', :layout=>false
  end

  private

  def patent_type_params
    params.require(:patent_type).permit! rescue nil
  end
end