Rails.application.routes.draw do
	locales = Site.find_by(site_active: true).in_use_locales rescue I18n.available_locales
	scope "(:locale)", locale: Regexp.new(locales.join("|")) do
		namespace :admin do
      get 'patent_setting' => "patents#setting"
      get 'patents/download_excel_format' => 'patents#excel_format'
      post 'patents/import_from_excel' => 'patents#import_from_excel'

      resources :patents do
        collection do
          get 'toggle_hide' => 'patents#toggle_hide'
          get 'analysis'
          get 'analysis_report'
          get "download_excel"
        end
      end

      resources :members do
        collection do
          scope '(:name-:uid)' do
            resources :patents do
              collection do
                get 'frontend_setting' => 'patents#frontend_setting'
                post 'update_frontend_setting' => 'patents#update_frontend_setting'
              end
            end
          end
        end
      end
      
      resources :patent_types
		end
    get "/xhr/personal_patent/get_fields_for_index" => "personal_patents#get_fields_for_index"
    post "/xhr/personal_patent/save_index_fields" => "personal_patents#save_index_fields"
	end
end
